Issue #10408 has been updated by Nobuyoshi Nakada.

Duplicated by Bug #10665: irb segfaults on user input (irb 0.9.6 / ruby 2.1.5p273 / i386-mingw32) under ConEmu added

----------------------------------------
Bug #10408: [BUG] Segmentation fault  ruby 2.1.3p242 (2014-09-19 revision 47630) [i386-mingw32]                     
https://bugs.ruby-lang.org/issues/10408#change-50667

* Author: Eugene G.
* Status: Closed
* Priority: Normal
* Assignee: cruby-windows
* Category: platform/windows
* Target version: 
* ruby -v: ruby 2.1.3p242 (2014-09-19 revision 47630) [i386-mingw32]
* Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN
----------------------------------------
Platform Win7 x64. Just installed. Getting this error after using next command.

~~~
C:\usr\ruby2>gem update --system && gem update && gem cleanup
Latest version currently installed. Aborting.
Updating installed gems
Updating rake
rake's executable "rake" conflicts with C:/usr/ruby2/bin/rake
Overwrite the executable? [yN]  C:/usr/ruby2/lib/ruby/site_ruby/2.1.0/rubygems/user_interaction.rb:294: [BUG] Segmentation fault
ruby 2.1.3p242 (2014-09-19 revision 47630) [i386-mingw32]
~~~
(snip)


---Files--------------------------------
bug-10408.log (19.7 KB)


-- 
https://bugs.ruby-lang.org/